﻿namespace Ggd.Splorr.Gadabout

[<RequireQualifiedAccessAttribute>]
type Hue =
    | Onyx
    | Carnelian
    | Copper
    | Gold
    | Jade
    | Turquoise
    | Ruby
    | Amethyst
    | Silver
    | MediumCarnelian
    | MediumCopper
    | MediumGold
    | MediumJade
    | MediumTurquoise
    | MediumRuby
    | MediumAmethyst
    | MediumSilver
    | DarkCarnelian
    | DarkCopper
    | DarkGold
    | DarkJade
    | DarkTurquoise
    | DarkRuby
    | DarkAmethyst
    | DarkSilver
    | DarkerCarnelian
    | DarkerCopper
    | DarkerGold
    | DarkerJade
    | DarkerTurquoise
    | DarkerRuby
    | DarkerAmethyst
    | DarkerSilver
    | UIEnabled
    | UIDisabled
    | SuperLight
    | Lightest
    | Lighter
    | Light
    | MediumLight
    | Medium
    | MediumDark
    | Dark
    | Darker
    | Darkest
    | SuperDark